org.eclipse.eef

## Interface EEFGroupStyle

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  EEFGroupStyleImpl

    public interface EEFGroupStyle
    extends org.eclipse.emf.ecore.EObject

A representation of the model object 'EEF Group Style'.

The following features are supported:

- `Background Color Expression`
- `Foreground Color Expression`
- `Font Name Expression`
- `Font Size Expression`
- `Bar Style`
- `Toggle Style`
- `Expanded By Default`

See Also:
  `EefPackage.getEEFGroupStyle()`

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getBackgroundColorExpression()` Returns the value of the 'Background Color Expression' attribute.
`EEF_TITLE_BAR_STYLE` `getBarStyle()` Returns the value of the 'Bar Style' attribute.
`java.lang.String` `getFontNameExpression()` Returns the value of the 'Font Name Expression' attribute.
`java.lang.String` `getFontSizeExpression()` Returns the value of the 'Font Size Expression' attribute.
`java.lang.String` `getForegroundColorExpression()` Returns the value of the 'Foreground Color Expression' attribute.
`EEF_TOGGLE_STYLE` `getToggleStyle()` Returns the value of the 'Toggle Style' attribute.
`boolean` `isExpandedByDefault()` Returns the value of the 'Expanded By Default' attribute.
`void` `setBackgroundColorExpression(java.lang.String value)` Sets the value of the '`Background Color Expression`' attribute.
`void` `setBarStyle(EEF_TITLE_BAR_STYLE value)` Sets the value of the '`Bar Style`' attribute.
`void` `setExpandedByDefault(boolean value)` Sets the value of the '`Expanded By Default`' attribute.
`void` `setFontNameExpression(java.lang.String value)` Sets the value of the '`Font Name Expression`' attribute.
`void` `setFontSizeExpression(java.lang.String value)` Sets the value of the '`Font Size Expression`' attribute.
`void` `setForegroundColorExpression(java.lang.String value)` Sets the value of the '`Foreground Color Expression`' attribute.
`void` `setToggleStyle(EEF_TOGGLE_STYLE value)` Sets the value of the '`Toggle Style`' attribute.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Method Detail

#### getBackgroundColorExpression

    java.lang.String getBackgroundColorExpression()

Returns the value of the 'Background Color Expression' attribute. Defines the background color of the group. It must be defined as hex (#000000) or RGB (rgb(0,0,0)).

Returns:
  the value of the 'Background Color Expression' attribute.
See Also:
  `setBackgroundColorExpression(String)`, `EefPackage.getEEFGroupStyle_BackgroundColorExpression()`

#### setBackgroundColorExpression

    void setBackgroundColorExpression(java.lang.String value)

Sets the value of the '`Background Color Expression`' attribute.

Parameters:
  `value` - the new value of the 'Background Color Expression' attribute.
See Also:
  `getBackgroundColorExpression()`

#### getForegroundColorExpression

    java.lang.String getForegroundColorExpression()

Returns the value of the 'Foreground Color Expression' attribute. Defines the foreground color of the group. It must be defined as hex (#000000) or RGB (rgb(0,0,0)).

Returns:
  the value of the 'Foreground Color Expression' attribute.
See Also:
  `setForegroundColorExpression(String)`, `EefPackage.getEEFGroupStyle_ForegroundColorExpression()`

#### setForegroundColorExpression

    void setForegroundColorExpression(java.lang.String value)

Sets the value of the '`Foreground Color Expression`' attribute.

Parameters:
  `value` - the new value of the 'Foreground Color Expression' attribute.
See Also:
  `getForegroundColorExpression()`

#### getFontNameExpression

    java.lang.String getFontNameExpression()

Returns the value of the 'Font Name Expression' attribute. Defines the font's name of the group.

Returns:
  the value of the 'Font Name Expression' attribute.
See Also:
  `setFontNameExpression(String)`, `EefPackage.getEEFGroupStyle_FontNameExpression()`

#### setFontNameExpression

    void setFontNameExpression(java.lang.String value)

Sets the value of the '`Font Name Expression`' attribute.

Parameters:
  `value` - the new value of the 'Font Name Expression' attribute.
See Also:
  `getFontNameExpression()`

#### getFontSizeExpression

    java.lang.String getFontSizeExpression()

Returns the value of the 'Font Size Expression' attribute. Defines the font's size of the group.

Returns:
  the value of the 'Font Size Expression' attribute.
See Also:
  `setFontSizeExpression(String)`, `EefPackage.getEEFGroupStyle_FontSizeExpression()`

#### setFontSizeExpression

    void setFontSizeExpression(java.lang.String value)

Sets the value of the '`Font Size Expression`' attribute.

Parameters:
  `value` - the new value of the 'Font Size Expression' attribute.
See Also:
  `getFontSizeExpression()`

#### getBarStyle

    EEF_TITLE_BAR_STYLE getBarStyle()

Returns the value of the 'Bar Style' attribute. The literals are from the enumeration `EEF_TITLE_BAR_STYLE`.

If the meaning of the 'Bar Style' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Bar Style' attribute.
See Also:
  `EEF_TITLE_BAR_STYLE`, `setBarStyle(EEF_TITLE_BAR_STYLE)`, `EefPackage.getEEFGroupStyle_BarStyle()`

#### setBarStyle

    void setBarStyle(EEF_TITLE_BAR_STYLE value)

Sets the value of the '`Bar Style`' attribute.

Parameters:
  `value` - the new value of the 'Bar Style' attribute.
See Also:
  `EEF_TITLE_BAR_STYLE`, `getBarStyle()`

#### getToggleStyle

    EEF_TOGGLE_STYLE getToggleStyle()

Returns the value of the 'Toggle Style' attribute. The literals are from the enumeration `EEF_TOGGLE_STYLE`.

If the meaning of the 'Toggle Style' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Toggle Style' attribute.
See Also:
  `EEF_TOGGLE_STYLE`, `setToggleStyle(EEF_TOGGLE_STYLE)`, `EefPackage.getEEFGroupStyle_ToggleStyle()`

#### setToggleStyle

    void setToggleStyle(EEF_TOGGLE_STYLE value)

Sets the value of the '`Toggle Style`' attribute.

Parameters:
  `value` - the new value of the 'Toggle Style' attribute.
See Also:
  `EEF_TOGGLE_STYLE`, `getToggleStyle()`

#### isExpandedByDefault

    boolean isExpandedByDefault()

Returns the value of the 'Expanded By Default' attribute.

If the meaning of the 'Expanded By Default' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Expanded By Default' attribute.
See Also:
  `setExpandedByDefault(boolean)`, `EefPackage.getEEFGroupStyle_ExpandedByDefault()`

#### setExpandedByDefault

    void setExpandedByDefault(boolean value)

Sets the value of the '`Expanded By Default`' attribute.

Parameters:
  `value` - the new value of the 'Expanded By Default' attribute.
See Also:
  `isExpandedByDefault()`